org.springframework.data.relational.core.sql

## Interface Expression

All Superinterfaces:
  Segment, Visitable

All Known Implementing Classes:
  AsteriskFromTable, BindMarker, BooleanLiteral, Column, Expressions.SimpleExpression, Literal, NumericLiteral, SimpleFunction, StringLiteral, SubselectExpression

    public interface Expression
    extends Segment

Expression that can be used in select lists.

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `SQL`, `Expressions`

### Method Summary

### Methods inherited from interface org.springframework.data.relational.core.sql.Segment

`equals, hashCode, toString`

### Methods inherited from interface org.springframework.data.relational.core.sql.Visitable

`visit`